function [Ap] = n_product(A,n,u)
% function  [Ap] = n_product(A,n,u)
%
%           n product of a tensor
%
% A      : Nth order tensor
% Ap     : Nth order tensor
% n      : nth mode
% u      : matrix or vector of size Jn x In

[An] = unfolding(A,n);

S=size(A);
S1=size(u);

T=S;
T(n)=S1(1);

Apn=u*An;

Ap=folding(Apn,n,T);
